Subject: Re: [IPP] [IDS] Issue with PWG 5100.13 - Job and Printer Extensions - Set 3 (JPS3) margin-xxx media-col member attributes

From: Michael Sweet <[email-masked]>
Date: Wed, 05 Aug 2015 13:59:38 -0400

[Redirected to IPP mailing list]

Chris,

> On Aug 5, 2015, at 1:25 PM, Rizzo, Christopher <[email-masked]> wrote:
> 
> Dear PWG,
> 
> Before I get into the issue in the subject line - I'm wondering if, using my PWG account, it is preferable to go to the PWG web site and create a new issue tied to this document, or just email the issue to this group (so it can be vetted before an issue is created?) as I've done here?

Both work; new issues posted on the web site also get sent to the corresponding workgroup's mailing list, so either way we'll be able to look at it.

> I do not believe it is clear how the media-xxx-margin member attributes of the media-col collection are to be interpreted by a printer (Section 7.6 of PWG 5100.13).  media-col is a Job-Template attribute, and the printer's physical margins are already reported by the printer in the media-xxx-margin-supported attributes of the Get-Printer-Attributes response.  Since the printer already knows and reports its physical margin capabilities - why are these sent back to the printer as Job-Template attributes? 

Because printers support both borderless and bordered printing, and that can affect print performance, scaling, etc.  Also, some printers have different margins for 2-sided printing.

The expectation is that the client will supply supported media-xxx-margin values closest to what is required for the document being printed.  For example, when printing a JPEG photo the client will likely specify media-xxx-margin values of 0 if the printer supports it, since that will result in borderless printing of the photo.  However, when printing a cover letter the client will likely specify non-zero media-xxx-margin values to tell the printer that borderless printing is not intended, potentially resulting in faster printing without scaling.

> If the printer supports full bleed, then the printer already reports 0 for media-xxx-margin-supported.
> 
> Are these attributes instead intended to provide a modified boundary for marking the job on the page?

Not directly, however for scaling the margins define the output area.

> If so, how is the printer to respond if these margins are less than media-xxx-margin-supported values?

Clamp to the lowest supported values.

> How is the printer to respond if the client sends values are so large they overlap and theoretically result in a blank page?

client-error-attributes-or-values-not-supported or successful-ok-ignored-or-substituted-attributes.

> If scaling is also specified, how would that be related to margin values - should fit scaling be done to the specified margins?

Yes, assuming the margins are valid.  The printer only has to support values it, um, supports. :)

>  Does cropping need to occur?

For print-scaling='none' or print-scaling='fill', yes, but only to the printer's physical margins (optional to crop to the media-xxx-margin values).

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp